Package com.independentsoft.office.spreadsheet.tables

# Enum Class TotalsRowFunction

java.lang.Object
java.lang.Enum<TotalsRowFunction>
com.independentsoft.office.spreadsheet.tables.TotalsRowFunction

All Implemented Interfaces:
  `Serializable`, `Comparable<TotalsRowFunction>`, `Constable`

public enum TotalsRowFunction extends Enum<TotalsRowFunction>
The Enum TotalsRowFunction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AVERAGE`
  `COUNT_NUMBERS`
  `CUSTOM_FORMULA`
  `MAXIMUM`
  `MINIMUM`
  `NON_EMPTY_CELL_COUNT`
  `NONE`
  `STANDARD_DEVIATION`
  `SUM`
  `VARIANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TotalsRowFunction`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TotalsRowFunction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AVERAGE

    public static final TotalsRowFunction AVERAGE

  - ### NON_EMPTY_CELL_COUNT

    public static final TotalsRowFunction NON_EMPTY_CELL_COUNT

  - ### COUNT_NUMBERS

    public static final TotalsRowFunction COUNT_NUMBERS

  - ### CUSTOM_FORMULA

    public static final TotalsRowFunction CUSTOM_FORMULA

  - ### MAXIMUM

    public static final TotalsRowFunction MAXIMUM

  - ### MINIMUM

    public static final TotalsRowFunction MINIMUM

  - ### STANDARD_DEVIATION

    public static final TotalsRowFunction STANDARD_DEVIATION

  - ### SUM

    public static final TotalsRowFunction SUM

  - ### VARIANCE

    public static final TotalsRowFunction VARIANCE

  - ### NONE

    public static final TotalsRowFunction NONE

- ## Method Details

  - ### values

    public static TotalsRowFunction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TotalsRowFunction valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null